List trashed QR codes
curl --request GET \
--url https://management.scanova.io/qrcode/trash/ \
--header 'Authorization: <api-key>'import requests
url = "https://management.scanova.io/qrcode/trash/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://management.scanova.io/qrcode/trash/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 3,
"next": null,
"previous": null,
"results": [
{
"id": 88190,
"qrid": "QR2P8V4LM",
"name": "Old menu — spring",
"qr_type": "dy",
"qr_type_display": "Dynamic",
"short_url": "https://qr.link/d4e5f6",
"thumbnail": "https://cdn.scanova.io/thumbnails/QR2P8V4LM.png",
"is_active": false,
"published_at": "2026-03-01T10:00:00Z",
"category_slug": "url",
"is_currently_draft": false,
"deleted": "2026-08-01T16:22:09Z",
"category": { "id": 1, "name": "Website URL", "slug": "url" },
"tags_list": ["menu"],
"dynamic_url_object": { "has_qr": true }
}
]
}
Management-API — QR-Codes
Gelöschte QR-Codes auflisten
GET /qrcode/trash/
GET
/
qrcode
/
trash
/
List trashed QR codes
Listet QR-Codes auf, die weich gelöscht (in den Papierkorb verschoben) wurden über
DELETE /qrcode/{qrid}/. Befindet sich auf dem Management-API-Host (management.scanova.io), authentifiziert mit Ihrem rohen Management-API-Schlüssel.
GET https://management.scanova.io/qrcode/trash/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
Auch erreichbar unter
/qr/trash/ — dieselbe View, dasselbe Verhalten.Query-Parameter
Dieser Endpunkt unterstützt dieselben Parametersearch, category, tags, type und ordering wie GET /qr/, zusätzlich zu Filtern für das Löschdatum:
string
ISO-Datum. Gibt QR-Codes zurück, die an oder nach diesem Datum gelöscht wurden.
string
ISO-Datum. Gibt QR-Codes zurück, die an oder vor diesem Datum gelöscht wurden.
{
"count": 3,
"next": null,
"previous": null,
"results": [
{
"id": 88190,
"qrid": "QR2P8V4LM",
"name": "Old menu — spring",
"qr_type": "dy",
"qr_type_display": "Dynamic",
"short_url": "https://qr.link/d4e5f6",
"thumbnail": "https://cdn.scanova.io/thumbnails/QR2P8V4LM.png",
"is_active": false,
"published_at": "2026-03-01T10:00:00Z",
"category_slug": "url",
"is_currently_draft": false,
"deleted": "2026-08-01T16:22:09Z",
"category": { "id": 1, "name": "Website URL", "slug": "url" },
"tags_list": ["menu"],
"dynamic_url_object": { "has_qr": true }
}
]
}
Dies ist eine schlankere Form als die des Haupt-Listen-Endpunkts — insbesondere
deleted (der Zeitstempel der Soft-Löschung) ist nur im Papierkorb vorhanden, und dynamic_url_object ist hier auf lediglich {"has_qr": ...} reduziert, statt des umfangreicheren Objekts, das von GET /qr/ zurückgegeben wird. Die Paginierung folgt derselben Konvention Seitenzahl statt URL wie der Haupt-Listen-Endpunkt.Wiederherstellen oder dauerhaftes Löschen von Papierkorb-QR-Codes
Diese Referenz behandelt nur das Auflisten von QR-Codes im Papierkorb. Die Wiederherstellungs- und Endgültig-Löschen-Aktionen des Dashboards werden von separaten Bulk-Endpunkten (POST an einen trash/restore/- bzw. trash/delete/-Pfad) unterstützt, die in dieser API-Referenz noch nicht dokumentiert sind — wenden Sie sich an support@scanova.io, falls Sie heute eine programmatische Wiederherstellung/dauerhafte Löschung benötigen.
Verwandte Themen
- Einen QR-Code abrufen, aktualisieren, löschen — der
DELETE-Aufruf, der einen QR-Code in diese Papierkorb-Liste verschiebt. - QR-Codes auflisten / erstellen — der entsprechende Listen-Endpunkt für aktive (nicht gelöschte) QR-Codes.
Autorisierungen
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. management.scanova.io) — the same key sent to the regular API host will not authenticate.
Antwort
200
Trashed QR codes
War diese Seite hilfreich?
⌘I